
                           Quick Credit 900 TM

INSTALLATION

Instructions for installing or upgrading your Quick Credit 900 Add-On option:

(If you haven't installed The Major BBS yet, do that first.)

1.      A:INSTALL             Put the diskette in your floppy drive.  Type
                              A:INSTALL
                              at the DOS prompt.  Follow the instructions.

        Introductory Menu     When software installation is complete, the
                              Introductory Menu appears.

Next are the steps for putting a brand new Quick Credit 900 on-line.

2.      2 = Menu Tree         To create a menu selection for Quick Credit 900,
                              first choose 2 from the Introductory Menu.

3.      (use the arrow        Choose an existing menu page and move the
         keys to point        cursor around until it points to it (or create a
         to a menu page)      new menu page and point to it).  This will
                              become the "parent menu" for your new service.

        <Enter>               Hit <Enter> to bring up the parent menu page for
                              editing.

4.      <Enter>               Choose an unused menu selection field; keep
        <Enter>,...           hitting <Enter> until the cursor points to it.

5.      <select char>         Type a select character, and thereby create a new
                              menu selection and sub-page.
        <description>         Enter the information on this sub-page.
        <key required>        Name the destination page carefully, so that
        <destination page>    users can use it in the "GO" command.
        <Enter>               Save the new page.  (You've just created a new
                              menu page, and now we're going to change it into
                              a module page.)

6.      <Esc>                 Escape out of editing the parent menu page.

7.      <right arrow>,        Use the arrow keys to point to the new menu page
        <down arrow),...      that you created (it will appear white on color
                              screens.)
        <Enter>               Hit <Enter> to bring up the new menu page for
                              editing.
8.      <down arrow>          First change this menu page into a module page.
        <Enter>
        <module name>         Then choose the module name from the list of
                              modules by scrolling up and down and hitting
                              <Enter> on the proper module.
        <Enter>               Leave the command string blank for now.  This
                              will cause your module page to bring up a
                              sub-menu of services when users select it on-line.
        <Enter>               Save the new module page.

9.      <F10>   Exit Menu Tree Design.

Now you've installed, and assembled your new Add-on Option.

CONFIGURATION

Most add-on modules from Logicom are customizable to give your system a
unique look and feel.  Use the options on the Introductory Menu to
access these features.

Following is a brief explanation of some of the more important
customizable/configurable features.

SECURITY & ACCOUNTING

Choose option #3 (Security & Accounting) from the Introductory Menu to
change the following settings:

ACTCOD  Activation code CALL

Before you can run this software you must enter the proper Activation
Code here.  The Activation Code can be found on the license envelope
which contained the original diskettes for this software.

If you do not have your license envelope, or the license envelope says
CALL, you will need to call 305-726-3868 to obtain the Activation Code
for this software.  Please have your Major BBS Registration number ready
when calling.

ACSKEY  Key required to access service

You may want to limit access to this service to certain users.  If this
is the case, fill in this option with the name of a key.  Only users
holding the key named in this option will be allowed access to this
service.  If you want all users to have access, leave this option blank.

KEYTYP  Prohibit access to users with key?      NO

As an alternative to assigning a key to all users you want to have
access to this service, you may treat the key defined by ACSKEY as a
sort of "anti-key".  This would PREVENT access to this service by anyone
who had this key.  If you prefer this method of key-handling over the
standard method then answer YES for this option.

CONFIGURABLE OPTIONS

Choose option #4 (Configuration) from the Introductory Menu to change
the following settings:

SYSIDN  Quick Credit 900 System ID number:      0

This is the number that was assigned to your system when you signed up
with the Quick Credit 900 Service.  Enter your six-digit System ID
number here.

SYSPIN  Quick Credit 900 System PIN number:     0

This is your System's Private ID Number (PIN) which you chose when you
signed up with the Quick Credit 900 Service.  Your PIN number is what
makes it possible for Redemption Codes to be generated that are unique
to your system only.

DO NOT give this number out to anyone, or change this number without
first notifying your service provider.

PHON10  Phone number for $10.00 calls   1-900-933-1900

This is the 900 service number users will call to obtain $10.00
redemption codes.  DO NOT change this number, unless instructed to by
your 900 service provider.

PHON25  Phone number for $25.00 calls   1-900-976-1800

This is the 900 service number users will call to obtain $25.00
redemption codes.  DO NOT change this number, unless instructed to by
your 900 service provider.

CODRNG  Look-ahead range of active codes:       20

The system keeps track of the last code number redeemed and generates
this many valid codes in advance.  For security reasons this range
should be kept as low as possible.  However, if you find a great deal of
users are using the Quick Credit 900 service you may want to increase
this range to prevent valid codes from being interpreted as invalid.

RCXDYS  Unredeemed codes expire after how many days?    120

You can limit the lifetime of an unredeemed code by specifying the
number of days until expiration here.  After a Redemption Code has been
around this many days without being redeemed it will no longer be valid.
To keep Redemption codes around forever, set this value to zero (0).

NOTE:  A code will qualify for expiration only if it was generated prior
to an already redeemed code.

CODVAL  No. Credit Units each dollar is worth:  1

When a user redeems a valid code, this many Credit Units are posted to
that user's Quick Credit account for each dollar the code is worth.  For
example, if a user redeems a $10 code and the value specified here is 5,
that user will receive 50 Credit Units.

NTRIES  Allow how many tries to redeem a code?  3

This is the number of consecutive attempts you want to allow a user to
enter a redemption code.  After this many unsuccessful attempts, an
entry is made in the System Audit trail and the user is dumped back to
the menu.

NBADCE  Allow how many unsuccessful attempts?   2

This setting determines the number of times you want to allow a user to
enter a bad code before taking further action (see configurable option).

BADACT  After unsuccessful attempts:    LOCKOUT

When a user has unsuccessfully tried to redeem a code after the number
of tries defined by configurable option NBADCE, you can do any of the
following:

        LOCKOUT     Prevent caller from redeeming codes.
        HANGUP      Log the caller off the system.
        BOTH        Lock caller out and log off.

MSGSTO  User-ID to send messages to     Sysop

If a user is having trouble redeeming a code or wishes to report a
problem, this is the User-ID all messages will be sent to.  The default
here is "Sysop".  If you want to send these messages to a different
user, enter that User-ID here.

MSGTPC  Auxiliary message topic

This is the text that will appear as the auxiliary message topic when a
message from the Quick Credit 900 service is written.

RECACT  Record Quick Credit 900 activity to:    BOTH

You can choose whether or not to record Quick Credit 900 module activity
(I.E. codes redeemed, bad codes, etc.) by setting this option to one of
the following:

        AUDIT  Record activity to system Audit Trail
        LOG    Record activity to log file
        BOTH   Record activity to both the Audit Trail and log file
        NONE   Do not record any activity (NOT recommended)

ON-LINE OPERATION

Once you have the Quick Credit 900 module installed into your system,
and have put all the information into the configuration options, you are
ready to setup the on-line portion of the module.  When a user wants to
use the 900 service, they will call the 900 number displayed in the
information section, and enter in your 6 digit system ID number.  After
they have entered that number, they will receive a 8 digit redemption
code.  They will then need to call back into your system, and enter the
Quick Credit 900 module, and use the option 'R' to redeem a code.  They
will then be granted X number of "Credit Units" depending on which line
they called and how you have the software configured.

Credit Units should not be confused with "Credits".  Credit Units can
also be thought of as money.  In level 4 Configuration Options, you
determine how many Credit Units are given out for each dollar a call is
worth.  The default setting for this option is 1. In this example, a
$10.00 call to the 900 service will provide the user with 10 Credit
Units, and each Credit Unit would be worth $1.00.  You have the option
to change this to anything that will suite your needs.  Another way of
setting these options up would be for each $1.00, the user would receive
100 Credit Units.  In this example, each Credit Unit would be worth
$.01.  Being able to change around these options in this way, gives you
the opportunity to charge a wide range of amounts for any type of
purchase options.  Be sure to keep this in mind when you start creating
purchase options (covered in the next few pages).

SYSOP MENU

When a user with Sysop access to the system enters into the Quick Credit
900 modules, they will have an option on their menu to enter the Sysop
Options.  Selecting this option will bring up the following screen:

Most of the options are self explanatory, and easy to use.  Some of the
more complex options are covered in detail in the following pages.

PURCHASE OPTIONS

One of the most important areas of the module for you to understand is
the creation and editing of a purchase option.  We have used the Full
Screen Data entry mode of The Major BBS, to allow for easier
configuration of a purchase option.  What type of options that you sell
are dependent on how you have your system accounting setup.  It is
important that you understand your class configuration before creating
new purchase option.  If you need assistance with this, please see page
111 of The Major BBS System Operations Manual.

When creating or editing a purchase option, the following screen will be
used:

NAME OF PURCHASE OPTION

This is the name that the user will see in the purchase option list
after they have redeemed a code, or if they select 'S' to "Spend Credit
Units".  Make sure that this value is set to something that will explain
what the user is purchasing to help them make their selection easier.

KEY REQUIRED

This is the key required for the user to be able to see and use this
purchase option.

COST (IN CREDIT UNITS)

This is the amount of Credit Units that will be required to purchase
this option.  This option must be set to a value greater then 0 for the
purchase option to be saved.  If you are using the default setting of 1
Credit Unit for each dollar the call is worth, then you will want to put
in a number that would coincide with X dollars and no change for an
option.  An example would be if you wanted to charge $10.00 for this
purchase option, then you would set this item to 10.

DESCRIPTION

This is the full description of the purchase option.  This is displayed
to the user when they select this option for purchase.  This option
should explain to the user exactly what they are getting for the
purchase option they are about to purchase.

KEYS TO BE GRANTED & XDAYS

These options are used to grant Keys to the user when they purchase this
option.  These keys will be added to their personal key ring.  The XDays
option is used to set up Expirable Keys.  Setting this number to
something higher than '0', and the key will only stay in the user's
key-ring until the cleanup of the day that the key expires on.  If you
do not want a key to expire, you must keep these values set to '0'.

KEYS TO BE REMOVED

This option works very much like the option above, except these keys are
removed from the user's personal key ring if available.  Removable keys
are not expirable.

SWITCH CLASS

This is the class that you want the user to be switched to, upon
purchasing this option.  This class must already exist in your class
structure of the BBS before you can place it in this option.  If a user
purchases an option with a class switch in it, and they are already in
the class the purchase option specifies, then the remaining days on the
users account will be added to the default days for the class.  An
example would be, User Joe is in the UNLMNTH class, and has 14 days left
in his account.  He purchases an second UNLMNTH class with the 900
option.  The default number of days in this class is 30.  Joe would end
up with a total of 44 days, and stay in the UNLMNTH class.

If the user is in a different class than what they are purchasing, they
will only get the default number of days for the new class, even if they
have days left in the their account.  Using the above example, Joe is in
the UNLMNTH, and is going to purchase the 3HRMNTH class this time.  He
has 14 days left on his UNLMNTH before he makes his purchase.  After he
makes his purchase, he will be in the 3HRMNTH with 30 days left.  He
will lose the 14 days that he had in his UNLMNTH class.

ADD DAYS TO CLASS

This option is to sell a number of days to be added to an account.  This
number will be added to a users number of days left in a class, no
matter what class they are in.

POST CREDITS (PAID/FREE)

This is the number of paid/free credits that would be posted to the user
when they purchase this option.  Note:  If the user is in a class, that
will do a switch class depending on if they are posted credits, they
will switch automatically, and you should not specify a Switch Class in
the above option.

TECHNICAL SUPPORT

For customer or technical support, there are several ways you can reach
us when you need help:

o       Call (305) 726-0438
o       Write to:
        Logicom, Inc.
        5701 Pine Island Road,  Suite 350
        Tamarac, Florida 33321
o       FAX: (305) 726-3748
o       You can also contact us via E-mail 24 hours a day, 7 days a week,
        through our support BBS.  Dial (305) 726-3849 with your modem.
        Please address all questions and comments to the User-ID "Sysop".
